<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Update ServiceType
 * @subpackage Services
 */
class Update extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named UpdateDeliveOrderId
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateDeliveOrderId $parameters
     * @return \StructType\UpdateDeliveOrderIdResponse|bool
     */
    public function UpdateDeliveOrderId(\StructType\UpdateDeliveOrderId $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateDeliveOrderId($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateShopPhone
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateShopPhone $parameters
     * @return \StructType\UpdateShopPhoneResponse|bool
     */
    public function UpdateShopPhone(\StructType\UpdateShopPhone $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateShopPhone($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateOrderExtended
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateOrderExtended $parameters
     * @return \StructType\UpdateOrderExtendedResponse|bool
     */
    public function UpdateOrderExtended(\StructType\UpdateOrderExtended $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateOrderExtended($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateWarehouse
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateWarehouse $parameters
     * @return \StructType\UpdateWarehouseResponse|bool
     */
    public function UpdateWarehouse(\StructType\UpdateWarehouse $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateWarehouse($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateOrderContact
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateOrderContact $parameters
     * @return \StructType\UpdateOrderContactResponse|bool
     */
    public function UpdateOrderContact(\StructType\UpdateOrderContact $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateOrderContact($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateOrderDelivery
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateOrderDelivery $parameters
     * @return \StructType\UpdateOrderDeliveryResponse|bool
     */
    public function UpdateOrderDelivery(\StructType\UpdateOrderDelivery $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateOrderDelivery($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateOrderItems
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\UpdateOrderItems $parameters
     * @return \StructType\UpdateOrderItemsResponse|bool
     */
    public function UpdateOrderItems(\StructType\UpdateOrderItems $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->UpdateOrderItems($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\UpdateDeliveOrderIdResponse|\StructType\UpdateOrderContactResponse|\StructType\UpdateOrderDeliveryResponse|\StructType\UpdateOrderExtendedResponse|\StructType\UpdateOrderItemsResponse|\StructType\UpdateShopPhoneResponse|\StructType\UpdateWarehouseResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
