<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Response StructType
 * @subpackage Structs
 */
class Response extends AbstractStructBase
{
    /**
     * The Errors
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString1
     */
    public $Errors;
    /**
     * The Warnings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString2
     */
    public $Warnings;
    /**
     * Constructor method for Response
     * @uses Response::setErrors()
     * @uses Response::setWarnings()
     * @param \ArrayType\ArrayOfString1 $errors
     * @param \ArrayType\ArrayOfString2 $warnings
     */
    public function __construct(\ArrayType\ArrayOfString1 $errors = null, \ArrayType\ArrayOfString2 $warnings = null)
    {
        $this
            ->setErrors($errors)
            ->setWarnings($warnings);
    }
    /**
     * Get Errors value
     * @return \ArrayType\ArrayOfString1|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \ArrayType\ArrayOfString1 $errors
     * @return \StructType\Response
     */
    public function setErrors(\ArrayType\ArrayOfString1 $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Warnings value
     * @return \ArrayType\ArrayOfString2|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \ArrayType\ArrayOfString2 $warnings
     * @return \StructType\Response
     */
    public function setWarnings(\ArrayType\ArrayOfString2 $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
}
