<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateOrderDelivery StructType
 * @subpackage Structs
 */
class UpdateOrderDelivery extends AbstractStructBase
{
    /**
     * The orderId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $orderId;
    /**
     * The orderDeliv
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\OrderDeliveryData
     */
    public $orderDeliv;
    /**
     * The accessKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $accessKey;
    /**
     * Constructor method for UpdateOrderDelivery
     * @uses UpdateOrderDelivery::setOrderId()
     * @uses UpdateOrderDelivery::setOrderDeliv()
     * @uses UpdateOrderDelivery::setAccessKey()
     * @param int $orderId
     * @param \StructType\OrderDeliveryData $orderDeliv
     * @param string $accessKey
     */
    public function __construct($orderId = null, \StructType\OrderDeliveryData $orderDeliv = null, $accessKey = null)
    {
        $this
            ->setOrderId($orderId)
            ->setOrderDeliv($orderDeliv)
            ->setAccessKey($accessKey);
    }
    /**
     * Get orderId value
     * @return int
     */
    public function getOrderId()
    {
        return $this->orderId;
    }
    /**
     * Set orderId value
     * @param int $orderId
     * @return \StructType\UpdateOrderDelivery
     */
    public function setOrderId($orderId = null)
    {
        // validation for constraint: int
        if (!is_null($orderId) && !(is_int($orderId) || ctype_digit($orderId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($orderId, true), gettype($orderId)), __LINE__);
        }
        $this->orderId = $orderId;
        return $this;
    }
    /**
     * Get orderDeliv value
     * @return \StructType\OrderDeliveryData|null
     */
    public function getOrderDeliv()
    {
        return $this->orderDeliv;
    }
    /**
     * Set orderDeliv value
     * @param \StructType\OrderDeliveryData $orderDeliv
     * @return \StructType\UpdateOrderDelivery
     */
    public function setOrderDeliv(\StructType\OrderDeliveryData $orderDeliv = null)
    {
        $this->orderDeliv = $orderDeliv;
        return $this;
    }
    /**
     * Get accessKey value
     * @return string|null
     */
    public function getAccessKey()
    {
        return $this->accessKey;
    }
    /**
     * Set accessKey value
     * @param string $accessKey
     * @return \StructType\UpdateOrderDelivery
     */
    public function setAccessKey($accessKey = null)
    {
        // validation for constraint: string
        if (!is_null($accessKey) && !is_string($accessKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($accessKey, true), gettype($accessKey)), __LINE__);
        }
        $this->accessKey = $accessKey;
        return $this;
    }
}
